%define name	slrn
%define version 0.9.9.p1
%define release %mkrel 2

Name:		%{name}
Summary:	A powerful, easy to use, threaded Internet news reader
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/News
URL:		http://www.slrn.org/
Source0:        ftp://slrn.sourceforge.net/pub/slrn/%{name}-0.9.8.1.tar.bz2
Source1:	slrnpull-expire
Source2:	slrnpull.log
Source3:	README.rpm-slrnpull
Patch0:		slrn-0.9.8.0-utf8.patch.bz2
Requires:	slang >= 1.4.0, inews
BuildRoot:	%{_tmppath}/%{name}-build
BuildRequires:  slang-devel 
BuildRequires:  sendmail-command
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version

%description
SLRN is a powerful, easy to use, threaded Internet news reader.  SLRN is
highly customizable and allows you to design complex filters to sort or kill
news articles.  SLRN works well over slow network connections, and includes
a utility for reading news off-line.

Install slrn if you need a full-featured news reader, if you have a slow
network connection, or if you'D like to save on-line time by reading your
news off-line.

%package pull
Summary:	Offline news reading support for slrn
Group:		Networking/News
Requires:	%{name} = %{version}

%description pull
This package provides slrnpull, which allows set up of a small news
spool for offline news reading.

%prep
%setup  -q -n %name-0.9.8.1

%patch0 -p0 -b .utf8

%build
# FHS compliant install
%configure2_5x --sysconfdir=%{_sysconfdir}/news --with-slrnpull
%make

%install
%makeinstall
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT/etc/{cron.daily,logrotate.d,news}
install doc/slrn.rc $RPM_BUILD_ROOT/etc/news/
chmod 644 $RPM_BUILD_ROOT/etc/news/slrn.rc


rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%update_menus

%files -f %{name}.lang 
%defattr(-,root,root)
%doc COPYING    doc/FIRST_STEPS doc/README.SSL doc/help.txt doc/score.txt doc/slrnfuns.txt
%doc COPYRIGHT  README            doc/README.macros     doc/THANKS       doc/manual.txt  doc/slrn-doc.html
%doc doc/FAQ doc/README.GroupLens  doc/README.multiuser changes.txt  doc/score.sl    doc/slrn.rc
%attr(755,root,root) %{_bindir}/slrn
%{_mandir}/man1/slrn.1*
%config(noreplace) %{_sysconfdir}/news/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files pull
%defattr(-,root,root)
%doc doc/slrnpull/*
%{_mandir}/man1/slrnpull*
%{_bindir}/slrnpull

%changelog
* Tue Nov 03 2009 Texstar <texstar at gmail.com> 0.9.9.p1-2pclos2010
- back down to 0.9.8.1

* Mon Nov 06 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 0.9.8.1-5pclos2007
- Build for PCLinuxOS 2007
